import fastapi as fa

from api.router import auth_router, user_router
from db import init_db


def setup():
    app = fa.FastAPI()
    app.include_router(auth_router)
    app.include_router(user_router)

    return app


app = setup()

init_db(app)


if __name__ == '__main__':
    import uvicorn

    uvicorn.run('main:app', host='0.0.0.0', port=8000, reload=True)
