from uuid import UUID

from pydantic import BaseModel, ConfigDict


class MaterialBaseSchema(BaseModel):
    name: str | None = None
    text: str | None = None
    chapter_id: UUID | None = None


class MaterialIdSchema(BaseModel):
    id: UUID

    model_config = ConfigDict(from_attributes=True)


class MaterialSchema(MaterialBaseSchema, MaterialIdSchema):
    pass


class MaterialPostSchema(MaterialBaseSchema):
    chapter_id: UUID | None = None


class MaterialSetSchema(BaseModel):
    material_id: UUID
