from tortoise import fields, models

from .base import BaseModel


class Chapter(BaseModel):
    name = fields.CharField(max_length=100)

    class Meta(BaseModel.Meta):
        table = 'chapters'


class Material(BaseModel):
    chapter = fields.ForeignKeyField(
        'models.Chapter', on_delete=fields.CASCADE, related_name='materials'
    )
    name = fields.CharField(max_length=100)
    text = fields.TextField()

    class Meta(BaseModel.Meta):
        table = 'materials'


class UserMaterialView(models.Model):
    user_id = fields.IntField()
    material = fields.ForeignKeyField('models.Material', related_name='user_views')

    class Meta:
        table = 'users_materials'


class Test(BaseModel):
    user_id = fields.IntField()
    material = fields.ForeignKeyField('models.Material', related_name='material_tests')
    percent = fields.IntField()

    class Meta:
        table = 'tests'
